# $Revision: 1.28 $, $Date: 2009/09/24 06:20:28 $
Summary:	X protocol and ancillary headers
Summary(pl.UTF-8):	Nagłówki protokołu X i pomocnicze
Name:		xorg-proto-xproto
Version:	7.0.16
Release:	1
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/proto/xproto-%{version}.tar.bz2
# Source0-md5:	75c9edff1f3823e5ab6bb9e66821a901
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	xorg-util-util-macros
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X protocol and ancillary headers.

%description -l pl.UTF-8
Nagłówki protokołu X i pomocnicze.

%package devel
Summary:	X protocol and ancillary headers
Summary(pl.UTF-8):	Nagłówki protokołu X i pomocnicze
Group:		X11/Development/Libraries
Obsoletes:	xproto

%description devel
X protocol and ancillary headers.

%description devel -l pl.UTF-8
Nagłówki protokołu X i pomocnicze.

%prep
%setup -q -n xproto-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/X11/extensions

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog
%dir %{_includedir}/X11
%{_includedir}/X11/*.h
%dir %{_includedir}/X11/extensions
%{_pkgconfigdir}/xproto.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-proto-xproto.spec,v $
Revision 1.28  2009/09/24 06:20:28  arekm
- up to 7.0.16

Revision 1.27  2009/03/02 19:14:35  arekm
- up to 7.0.15

Revision 1.26  2008/10/24 06:21:26  arekm
- up to 7.0.14

Revision 1.25  2008/05/29 08:37:31  lkrotowski
- up to 7.0.13

Revision 1.24  2008-03-06 07:29:04  arekm
- up to 7.0.12

Revision 1.23  2007/09/08 15:17:48  qboosh
- updated to 7.0.11

Revision 1.22  2007/02/12 22:09:25  glen
- tabs in preamble

Revision 1.21  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.20  2006/12/16 11:49:06  arekm
- up to 7.0.10

Revision 1.19  2006/10/26 07:37:07  qboosh
- updated to 7.0.9

Revision 1.18  2006/09/25 12:06:46  qboosh
- updated to 7.0.8

Revision 1.17  2006/06/02 09:19:38  qboosh
- updated to 7.0.7

Revision 1.16  2006/04/27 06:19:51  arekm
- up to 7.0.5

Revision 1.15  2006/02/03 20:26:25  pluto
- release 1.

Revision 1.14  2005/12/23 10:19:19  qboosh
- sources from X11R7.0 release

Revision 1.13  2005/12/20 10:58:59  qboosh
- 7.0.4 (X11R7.0-RC4)

Revision 1.12  2005/12/04 09:27:26  qboosh
- 7.0.3 (X11R7.0-RC3)

Revision 1.11  2005/11/19 16:58:53  qboosh
- 7.0.2 (X11R7.0-RC2)

Revision 1.10  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.9  2005/10/20 12:51:06  qboosh
- BR: autoconf >= 2.57

Revision 1.8  2005/10/20 10:39:35  qboosh
- own /usr/include/X11/extensions dir (for xorg-proto-* headers)

Revision 1.7  2005/10/20 10:32:44  qboosh
- own /usr/include/X11 dir

Revision 1.6  2005/10/20 10:21:34  qboosh
- 7.0.1 (X11R7.0-RC1)

Revision 1.5  2005/08/27 19:32:50  wiget
- kill /usr/X11R6

Revision 1.4  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.3  2005/08/27 16:12:43  qboosh
- cleanups

Revision 1.2  2005/08/17 20:10:46  qboosh
- Obsoletes for old xlibs or separate packages

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.16  2005/08/14 23:07:05  arekm
- modular X11R7.0-RC0 version (desc from trojan version to keep diffs as smallest as it's possible)

Revision 1.15  2005/05/01 10:21:25  qboosh
- updated Source URL, unified URL

Revision 1.14  2004/08/20 19:05:34  djurban
- revert my stupidy here, will put it in libXau

Revision 1.13  2004/08/20 18:57:06  djurban
- make it work with x11, added xfree bcond

Revision 1.12  2004/06/27 22:44:17  jpc
- new patch from CVS (shouldn't break anything) for compability with
  X11R6.7

Revision 1.11  2004/05/22 21:04:00  qboosh
- updated ac deps

Revision 1.10  2004/05/22 21:03:10  qboosh
- revised doc, removed unused libtool stuff

Revision 1.9  2004/05/22 14:56:53  qboosh
- standardize: no R pkgconfig (BR is used when needed)

Revision 1.8  2004/05/12 20:21:48  grzegol
- updated to 6.6.2

Revision 1.7  2004/03/12 10:39:20  adgor
- Conflict with XFree86-devel < 1:4.4.0-0.3

Revision 1.6  2004/03/04 21:39:48  adgor
- Rel++

Revision 1.5  2004/03/04 21:23:32  adgor
- Added two lines with define

Revision 1.4  2004/03/02 17:37:50  adgor
- Fixed license

Revision 1.3  2004/03/02 17:06:01  twittner
- typo

Revision 1.2  2004/03/02 17:00:08  twittner
- pl translation

Revision 1.1  2004/03/02 16:16:27  adgor
- Initial
